summaryrefslogtreecommitdiffstats
path: root/ci/envs/host-install-qemu.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/envs/host-install-qemu.sh')
-rwxr-xr-xci/envs/host-install-qemu.sh44
1 files changed, 44 insertions, 0 deletions
diff --git a/ci/envs/host-install-qemu.sh b/ci/envs/host-install-qemu.sh
new file mode 100755
index 000000000..18886ea53
--- /dev/null
+++ b/ci/envs/host-install-qemu.sh
@@ -0,0 +1,44 @@
+#!/bin/bash
+
+###############################################################################
+## Copyright (c) 2016 Intel Corp.
+##
+## All rights reserved. This program and the accompanying materials
+## are made available under the terms of the Apache License, Version 2.0
+## which accompanies this distribution, and is available at
+## http://www.apache.org/licenses/LICENSE-2.0
+###############################################################################
+
+source utils.sh
+source host-config
+
+QEMU_VERSION=$( getQemuVersion )
+
+if [ -z $QEMU_VERSION ];then
+ echo "qemu RPM not found"
+ exit 1
+fi
+rpmdir=${1:-"/root/workspace/rpm/"}
+rpmpat="qemu-${QEMU_VERSION}*.rpm"
+
+install_qemu () {
+ # Removing Existing qemu rpms
+ qemu_rpm=$(rpm -qa | grep 'qemu')
+ echo "Removing Existing qemu packages"
+ rpm -ev $qemu_rpm
+ # Install the qemu rpm
+ filenum=`ls -l ${rpmdir}/${rpmpat} |wc -l`
+ if [ $filenum -eq 0 ]
+ then
+ echo "No qemu rpm found in workspace/rpm"
+ exit 1
+ elif [ $filenum -gt 1 ]
+ then
+ echo "Multiple qemu rpm found in workspace/rpm"
+ exit 1
+ else
+ qrpm=`find "${rpmdir}" -name "${rpmpat}"`
+ rpm -ihv $qrpm
+ fi
+}
+install_qemu